﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2480, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        tbody > tr > td.Right {
            text-align: Right;
        }

        <style type="text/css" > tbody > tr > td.Left {
            text-align: left;
        }
    </style>
    <script type="text/javascript" id="igClientScript">
        function WebDataGrid_CellEditing_ExitingEditMode(sender, eventArgs) {
            var columnKey = eventArgs.getCell().get_column().get_key();

            switch (columnKey) {
                case "Salary":
                    eventArgs.getCell().get_row().get_cellByColumnKey("Total").set_value(eventArgs.getCell().get_value() +
                        eventArgs.getCell().get_row().get_cellByColumnKey("Bonuses").get_value());
                    break;
                case "Bonuses":
                    eventArgs.getCell().get_row().get_cellByColumnKey("Total").set_value(eventArgs.getCell().get_value() +
                        eventArgs.getCell().get_row().get_cellByColumnKey("Salary").get_value());
                    break;
                default:

            }
        }
        function WebDataGrid_SummaryRow_Initialize(sender, eventArgs) {
            var e = eventArgs;
        }
        function WebDataGrid_Initialize(sender, eventArgs) {
            var row;
            var cellTotal;

            for (var i = 0; i < sender.get_rows().get_length() ; i++) {
                row = sender.get_rows().get_row(i);
                cellTotal = row.get_cellByColumnKey("Total");
                cellTotal.set_value(row.get_cellByColumnKey("Salary").get_value() + row.get_cellByColumnKey("Bonuses").get_value());
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager" runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid" runat="server" Height="350px" Width="800px" AutoGenerateColumns="False">
                <ClientEvents Initialize="WebDataGrid_Initialize" />
                <Columns>
                    <ig:BoundDataField DataFieldName="EmployeeId" Key="EmployeeId" VisibleIndex="0" CssClass="Right">
                        <Header Text="EmployeeId">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="EmployeeName" Key="EmployeeName" VisibleIndex="1" CssClass="Right">
                        <Header Text="EmployeeName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Age" Key="Age" VisibleIndex="2" CssClass="Right">
                        <Header Text="Age">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Extension" Key="Extension" VisibleIndex="3" CssClass="Right">
                        <Header Text="Extension">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Salary" Key="Salary" VisibleIndex="4" CssClass="Right">
                        <Header Text="Salary">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Bonuses" Key="Bonuses" VisibleIndex="5" CssClass="Right">
                        <Header Text="Bonuses">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Total" Key="Total" VisibleIndex="6" CssClass="Right">
                        <Header Text="Total">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:SummaryRow FormatString="{0} : {1}" EmptyFooterText=" ">
                        <SummaryRowClientEvents Initialize="WebDataGrid_SummaryRow_Initialize" />
                        <ColumnSummaries>
                            <ig:ColumnSummaryInfo ColumnKey="EmployeeId">
                                <Summaries>
                                    <ig:Summary CustomSummaryName="EmployeeId" />
                                </Summaries>
                            </ig:ColumnSummaryInfo>
                            <ig:ColumnSummaryInfo ColumnKey="Extension">
                                <Summaries>
                                    <ig:Summary CustomSummaryName="Average Extension" SummaryType="Average" />
                                </Summaries>
                            </ig:ColumnSummaryInfo>
                            <ig:ColumnSummaryInfo ColumnKey="Total">
                                <Summaries>
                                    <ig:Summary CustomSummaryName="Total" SummaryType="Sum" />
                                </Summaries>
                            </ig:ColumnSummaryInfo>
                        </ColumnSummaries>
                        <ColumnSettings>
                            <ig:SummaryRowSetting ColumnKey="Age">
                            </ig:SummaryRowSetting>
                            <ig:SummaryRowSetting ColumnKey="EmployeeId" FormatString="Count : {1}">
                                <SummarySettings>
                                    <ig:SummarySetting CssClass="Right" />
                                </SummarySettings>
                            </ig:SummaryRowSetting>
                            <ig:SummaryRowSetting ColumnKey="Total" FormatString="Total={1}">
                                <SummarySettings>
                                    <ig:SummarySetting CssClass="Left" />
                                </SummarySettings>
                            </ig:SummaryRowSetting>
                        </ColumnSettings>
                    </ig:SummaryRow>
                    <ig:EditingCore>
                        <Behaviors>
                            <ig:CellEditing>
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="Total" ReadOnly="True" />
                                </ColumnSettings>
                                <CellEditingClientEvents ExitedEditMode="WebDataGrid_CellEditing_ExitingEditMode" />
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>
